Get Market Price
curl --request GET \
--url https://api.predexon.com/v2/polymarket/market-price/{token_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.predexon.com/v2/polymarket/market-price/{token_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.predexon.com/v2/polymarket/market-price/{token_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"price": 123,
"at_time": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}Pricing & Candles
Market Price
Get the current or historical price for a specific token
GET
/
v2
/
polymarket
/
market-price
/
{token_id}
Get Market Price
Fetch current or historical price for a token. Uses weighted average of recent trades when stable, or last trade price when volatile.
Free & Unlimited. This endpoint does not count toward your monthly usage limits on any plan.
Authorizations
Path Parameters
Token ID for the market
Query Parameters
Unix timestamp (seconds) for historical price
Required range:
x >= 0⌘I
